MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029582Open CASCADE[OCCT] OCCT:Codingpublic2018-03-15 15:272018-06-29 21:21
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029582: Coding Rules, Bnd_Range - inconsistent methods pair GetMin()/GetMAX()
DescriptionFor unknown reason, two getters of Bnd_Range class are named inconsistently:
- ::GetMin()
- ::GetMAX()
It is desired renaming methods for consistency.

In addition, class lacks the method ::Add() taking another Bnd_Range (extending range in both directions), usual for other classes in package Bnd.
There is only method ::Union() which has another meaning (extend range only if it overlaps with another one).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023178closedapn Community Intersection of cylinders fails to produce results 

-  Notes
(0074520)
git (administrator)
2018-03-15 22:38

Branch CR29582 has been created by kgv.

SHA-1: 105309c634bd58d889eff597ab7742430c188fec


Detailed log of new commits:

Author: kgv
Date: Thu Mar 15 22:38:19 2018 +0300

    0029582: Coding Rules, Bnd_Range - inconsistent methods pair GetMin()/GetMAX()
    
    Cosmetics - removed redundant semicolons.
    Method ::GetMAX() has been renamed to ::GetMax().
    Added method ::Add() taking another Bnd_Range as argument.
    Added methods ::IsOut() mimicing a Bnd_Box interface.
    Methods ::Shift() and ::Shifted() no more modify Void range.
(0074521)
kgv (developer)
2018-03-15 23:04

Patch is ready for review.

http://jenkins-test-10.nnov.opencascade.com/view/CR29582-master-KGV/ [^]
(0074539)
git (administrator)
2018-03-16 14:04

Branch CR29582 has been updated by kgv.

SHA-1: 723d00fb9495130c3af0305b16788dac7899144e


Detailed log of new commits:

Author: kgv
Date: Fri Mar 16 14:03:54 2018 +0300

    # remove GetMAX() completely

(0074543)
abv (manager)
2018-03-16 14:15

No remarks, please integrate
(0074557)
bugmaster (administrator)
2018-03-16 16:49

Combination -
OCCT branch : CR29582 SHA - 105309c634bd58d889eff597ab7742430c188fec
Products branch : master SHA - 4fd289ec73d35d02f23f3990c73b3acac9a60574
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18278.62999999961 / 18338.37999999957 [-0.33%]
Products
Total CPU difference: 7507.660000000009 / 7461.340000000009 [+0.62%]
Windows-64-VC10:
OCCT
Total CPU difference: 17659.703202498542 / 17653.338361698563 [+0.04%]
Products
Total CPU difference: 8014.504574699988 / 7990.761222500007 [+0.30%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0074619)
git (administrator)
2018-03-19 10:05

Branch CR29582 has been deleted by kgv.

SHA-1: 723d00fb9495130c3af0305b16788dac7899144e

- Related Changesets
occt: master 8662560e
Timestamp: 2018-03-15 19:38:19
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029582: Coding Rules, Bnd_Range - inconsistent methods pair GetMin()/GetMAX()

Cosmetics - removed redundant semicolons.
Method ::GetMAX() has been renamed to ::GetMax().
Added method ::Add() taking another Bnd_Range as argument.
Added methods ::IsOut() mimicing a Bnd_Box interface.
Methods ::Shift() and ::Shifted() no more modify Void range.
mod - src/Bnd/Bnd_Range.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_4.gxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-15 15:27 kgv New Issue
2018-03-15 15:27 kgv Assigned To => kgv
2018-03-15 15:27 kgv Relationship added related to 0023178
2018-03-15 15:30 kgv Relationship added related to 0028222
2018-03-15 15:30 kgv Product Version 7.2.0 => 7.1.0
2018-03-15 22:38 git Note Added: 0074520
2018-03-15 23:04 kgv Note Added: 0074521
2018-03-15 23:04 kgv Assigned To kgv => abv
2018-03-15 23:04 kgv Status new => resolved
2018-03-16 14:04 git Note Added: 0074539
2018-03-16 14:15 abv Note Added: 0074543
2018-03-16 14:15 abv Assigned To abv => bugmaster
2018-03-16 14:15 abv Status resolved => reviewed
2018-03-16 15:08 bugmaster Test case number => Not needed
2018-03-16 16:49 bugmaster Note Added: 0074557
2018-03-16 16:49 bugmaster Status reviewed => tested
2018-03-18 13:21 bugmaster Changeset attached => occt master 8662560e
2018-03-18 13:21 bugmaster Status tested => verified
2018-03-18 13:21 bugmaster Resolution open => fixed
2018-03-19 10:05 git Note Added: 0074619
2018-06-29 21:16 user533 Fixed in Version => 7.3.0
2018-06-29 21:21 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker